/************************************************************************
 * IRC - Internet Relay Chat, include/gline.h
 * Copyright (C) 2000 Alasdair McWilliam. RageIRCd, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __gline_include__
#define __gline_include__

typedef	struct	Gline	aGline;
struct	Gline
{
	char	*set_by;	/* who set gline */	
	char	*username;	/* username for user@host */
	char	*hostname;	/* hostname for user@host */
	time_t	expire;		/* when gline expires (seconds) */
	time_t	set_at;		/* when gline was set */
	char	*reason;	/* reason for gline */

	aGline	*next;
	aGline	*prev;
};

#endif /* __gline_include__ */
