/************************************************************************
 * IRC - Internet Relay Chat, include/vhost.h
 * Copyright (C) 2000 Alasdair McWilliam. RageIRCd, Inc.
 *
 * Contains code from UnrealIRCd - Copyright (C) The UnrealIRCd Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __vhost_include__
#define __vhost_include__

typedef	struct	Vhost	aVhost;
struct	Vhost
{
	char	*login;		/* vhost login */
	char	*passwd;	/* vhost password */
	char	*vhost;		/* vhost to change sptr host to */

	aVhost	*next;
	aVhost	*prev;
};

#endif /* __vhost_include__ */
