/************************************************************************
 * IRC - Internet Relay Chat, include/whowas.h
 * Copyright (C) 1990  Markku Savela
 *
 * Modified for RageIRCd by Alasdair McWilliam. <th3dud3@turbo-irc.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __whowas_include__
#define __whowas_include__

typedef	struct	Name	aName;
struct	Name {
	anUser		*ww_user;
	aClient		*ww_online;
	char		ww_nick[NICKLEN + 1];
	char		ww_info[REALLEN + 1];
	time_t		ww_logout;
};

void	add_history PROTO((aClient *));
void	off_history PROTO((aClient *));
void	count_whowas_memory PROTO((int *, int *, u_long *));

#endif /* __whowas_include__ */
